# archive.hpp File Reference

the archive class is defined in this module More...

`#include "../my_config.h"`
`#include "crypto.hpp"`
`#include "path.hpp"`
`#include "catalogue.hpp"`
`#include "scrambler.hpp"`
`#include "statistics.hpp"`

Go to the source code of this file.

## Classes
class | libdar::archive
| the archive class realizes the most general operations on archives More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

the archive class is defined in this module

Definition in file archive.hpp.